libgimpprint API Reference: src/main/util.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/util.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: src_2main_2util_8h-source.html,v 1.1.1.2 2004/12/22 23:49:12 jlovell Exp $"
    00003  *
    00004  *   libgimpprint header.
    00005  *
    00006  *   Copyright 1997-2000 Michael Sweet (mike@easysw.com) and
    00007  *      Robert Krawitz (rlk@alum.mit.edu)
    00008  *
    00009  *   This program is free software; you can redistribute it and/or modify it
    00010  *   under the terms of the GNU General Public License as published by the Free
    00011  *   Software Foundation; either version 2 of the License, or (at your option)
    00012  *   any later version.
    00013  *
    00014  *   This program is distributed in the hope that it will be useful, but
    00015  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00016  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00017  *   for more details.
    00018  *
    00019  *   You should have received a copy of the GNU General Public License
    00020  *   along with this program; if not, write to the Free Software
    00021  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00022  *
    00023  * Revision History:
    00024  *
    00025  *   See ChangeLog
    00026  */
    00027
    00033 /*
    00034  * This file must include only standard C header files.  The core code must
    00035  * compile on generic platforms that don't support glib, gimp, gtk, etc.
    00036  */
    00037
    00038 #ifndef GIMP_PRINT_INTERNAL_UTIL_H
    00039 #define GIMP_PRINT_INTERNAL_UTIL_H
    00040
    00041 #ifdef __cplusplus
    00042 extern "C" {
    00043 #endif
    00044
    00045 #ifndef __GNUC__
    00046 #ifndef __attribute__
    00047 #define __attribute__(ignore)
    00048 #endif
    00049 #endif
    00050
    00059 /*
    00060  * FIXME Need somewhere else to put these initialization routines
    00061  * which users shouldn't call.
    00062  */
    00063
    00064 extern void stpi_init_paper(void);
    00065 extern void stpi_init_dither(void);
    00066 extern void stpi_init_printer(void);
    00067
    00070 #ifdef __cplusplus
    00071   }
    00072 #endif
    00073
    00074 #endif /* GIMP_PRINT_INTERNAL_UTIL_H */
    00075 /*
    00076  * End of "$Id: src_2main_2util_8h-source.html,v 1.1.1.2 2004/12/22 23:49:12 jlovell Exp $".
    00077  */